import request from '@/utils/request'


export function customer(query) {
  return request({
    url: '/crm/statistics/customer',
    method: 'get',
    params: query
  })
}
export function exportCustomer(query) {
  return request({
    url: '/crm/statistics/exportCustomer',
    method: 'get',
    params: query
  })
}
export function customerCycle(query) {
  return request({
    url: '/crm/statistics/customerCycle',
    method: 'get',
    params: query
  })
}
export function exportCustomerCycle(query) {
  return request({
    url: '/crm/statistics/exportCustomerCycle',
    method: 'get',
    params: query
  })
}

export function customerFull(query) {
  return request({
    url: '/crm/statistics/customerFull',
    method: 'get',
    params: query
  })
}
export function exportCustomerFull(query) {
  return request({
    url: '/crm/statistics/exportCustomerFull',
    method: 'get',
    params: query
  })
}
 export function customerNum(query) {
   return request({
     url: '/crm/statistics/customerNum',
     method: 'get',
     params: query
   })
 }
 export function exportCustomerNum(query) {
   return request({
     url: '/crm/statistics/exportCustomerNum',
     method: 'get',
     params: query
   })
 }
 export function customerMap(query) {
   return request({
     url: '/crm/statistics/customerMap',
     method: 'get',
     params: query
   })
 }
 export function customerSource(query) {
   return request({
     url: '/crm/statistics/customerSource',
     method: 'get',
     params: query
   })
 }
 export function exportCustomerSource(query) {
   return request({
     url: '/crm/statistics/exportCustomerSource',
     method: 'get',
     params: query
   })
 }
 export function customerRate(query) {
   return request({
     url: '/crm/statistics/customerRate',
     method: 'get',
     params: query
   })
 }
 export function exportCustomerRate(query) {
   return request({
     url: '/crm/statistics/exportCustomerRate',
     method: 'get',
     params: query
   })
 }
export function customerVisit(query) {
  return request({
    url: '/crm/statistics/customerVisit',
    method: 'get',
    params: query
  })
}
export function exportCustomerVisit(query) {
  return request({
    url: '/crm/statistics/exportCustomerVisit',
    method: 'get',
    params: query
  })
}

